## shmsink shmsink — Send data over shared memory to the matching source |

## Synopsis

    struct              GstShmSink;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseSink
                         +----GstShmSink

## Properties

      "perms"                    guint                 : Read / Write
      "shm-size"                 guint                 : Read / Write
      "socket-path"              gchar*                : Read / Write
      "wait-for-connection"      gboolean              : Read / Write
      "buffer-time"              guint64               : Read / Write / Construct

## Signals

      "client-connected"                               : Run Last
      "client-disconnected"                            : Run Last

## Description

## Synopsis

### Element Information

plugin | shm
author | Olivier Crete <olivier.crete@collabora.co.uk>
class | Sink

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Details

### struct GstShmSink

    struct GstShmSink;

## Property Details

### The `"perms"` property

      "perms"                    guint                 : Read / Write

Permissions to set on the shm area.

Allowed values: <= 4095

Default value: 416

### The `"shm-size"` property

      "shm-size"                 guint                 : Read / Write

Size of the shared memory area.

Default value: 262144

### The `"socket-path"` property

      "socket-path"              gchar*                : Read / Write

The path to the control socket used to control the shared memory transport.

Default value: NULL

### The `"wait-for-connection"` property

      "wait-for-connection"      gboolean              : Read / Write

Block the stream until the shm pipe is connected.

Default value: TRUE

### The `"buffer-time"` property

      "buffer-time"              guint64               : Read / Write / Construct

Maximum Size of the shm buffer in nanoseconds (-1 to disable).

Default value: 18446744073709551615

## Signal Details

### The `"client-connected"` signal

    void                user_function                      (GstShmSink *gstshmsink,
                                                            gint        arg1,
                                                            gpointer    user_data)       : Run Last

`gstshmsink` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

### The `"client-disconnected"` signal

    void                user_function                      (GstShmSink *gstshmsink,
                                                            gint        arg1,
                                                            gpointer    user_data)       : Run Last

`gstshmsink` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.